## libeufin-0.9.2-sources.tar.gz

=== Makefile ===
include build-system/config.mk

escaped_pwd = $(shell pwd | sed 's/\//\\\//g')

all: assemble
install: install-nexus install-sandbox install-cli
git-archive-all = ./build-system/taler-build-scripts/archive-with-submodules/git_archive_all.py


.PHONY: dist
dist:
	@mkdir -p build/distributions
	@$(git-archive-all) --include ./configure build/distributions/libeufin-$(shell ./gradlew -q libeufinVersion)-sources.tar.gz

.PHONY: exec-arch
exec-arch:
	@./gradlew -q execArch

.PHONY: deb
deb: dist
	@dpkg-buildpackage -rfakeroot -b -uc -us


.PHONY: install-sandbox
install-sandbox:
	@./gradlew -q -Pprefix=$(prefix) sandbox:installToPrefix; cd ..

.PHONY: install-nexus
install-nexus:
	@./gradlew -q -Pprefix=$(prefix) nexus:installToPrefix; cd ..

.PHONY: install-cli
install-cli:
	@./gradlew -q replaceVersionCli
	@install -D cli/bin/libeufin-cli $(prefix)/bin

.PHONY: assemble
assemble:
	@./gradlew assemble

.PHONY: check
check:
	@./gradlew check
	@cd ./cli/tests && ./circuit_test.sh
	@cd ./cli/tests && ./debit_test.sh

# .PHONY: parse
# parse:
#	@cd parsing-tests; py.test -s checks.py

=== debian/changelog ===
libeufin (0.9.2) unstable; urgency=medium

  * New upstream release.

 -- Christian Grothoff <grothoff@gnu.org>  Tue, 21 Feb 2023 14:46:04 +0200

libeufin (0.9.1) unstable; urgency=medium

  * Prepare for first proper release.

 -- Christian Grothoff <grothoff@gnu.org>  Sat, 21 Jan 2023 14:46:04 +0200

libeufin (0.0.1-12) unstable; urgency=medium

  * Fix key letter generation.

 -- Florian Dold <florian@dold.me>  Thu, 14 Oct 2021 14:46:04 +0200

libeufin (0.0.1-11) unstable; urgency=medium

  * Add anastasis facade to the nexus.

 -- Florian Dold <florian@dold.me>  Tue, 24 Aug 2021 18:40:11 +0200

libeufin (0.0.1-10) unstable; urgency=medium

  * Add BIC validation to nexus and sandbox.

 -- Florian Dold <florian@dold.me>  Sat, 07 Aug 2021 21:40:28 +0200

libeufin (0.0.1-9) unstable; urgency=medium

  * Various bugfixes.

 -- Florian Dold <florian@dold.me>  Sat, 07 Aug 2021 16:09:59 +0200

libeufin (0.0.1-8) unstable; urgency=medium

  * Various bugfixes.

 -- Florian Dold <florian@dold.me>  Sat, 07 Aug 2021 14:32:14 +0200

libeufin (0.0.1-7) unstable; urgency=medium

  * New sandbox simulate-incoming-transaction command.

 -- Florian Dold <florian@dold.me>  Fri, 06 Aug 2021 00:08:52 +0200

libeufin (0.0.1-6) unstable; urgency=medium

  * Fix trailing slash in facade URL.

 -- Florian Dold <florian@dold.me>  Tue, 03 Aug 2021 14:43:33 +0200

libeufin (0.0.1-5) unstable; urgency=medium

  * Fix facade URL.

 -- Florian Dold <florian@dold.me>  Tue, 03 Aug 2021 14:43:33 +0200

libeufin (0.0.1-4) unstable; urgency=medium

  * Bugfixes in libeufin-cli and libeufin-nexus.

 -- Florian Dold <florian@dold.me>  Tue, 03 Aug 2021 13:59:52 +0200

libeufin (0.0.1-3) unstable; urgency=medium

  * Sandbox bugfixes.
  * Packaging: Install tmpfiles properly.

 -- Florian Dold <florian@dold.me>  Mon, 02 Aug 2021 19:53:44 +0200

libeufin (0.0.1-2) unstable; urgency=medium

  * Support debhelper-compat level 12.

 -- Florian Dold <florian@dold.me>  Sun, 01 Aug 2021 18:50:25 +0200

libeufin (0.0.1-1) unstable; urgency=medium

  * Packaging fixes.

 -- Florian Dold <florian@dold.me>  Sat, 31 Jul 2021 16:34:40 +0200

libeufin (0.0.1) unstable; urgency=low

  * Initial Release.

 -- Christian Grothoff <grothoff@gnu.org>  Sun, 17 Jan 2021 07:03:45 +0100

=== debian/control ===
Source: libeufin
Section: net
Priority: optional
Maintainer: Taler Systems SA <deb@taler.net>
Uploaders: Christian Grothoff <grothoff@gnu.org>, Florian Dold <dold@taler.net>
Build-Depends:
 debhelper-compat (= 12),
 unzip,
 openjdk-11-jdk-headless | openjdk-11-jdk | openjdk-12-jdk-headless | openjdk-12-jdk | openjdk-13-jdk-headless | openjdk-13-jdk | openjdk-14-jdk-headless | openjdk-14-jdk | openjdk-15-jdk-headless | openjdk-15-jdk | openjdk-16-jdk-headless | openjdk-16-jdk | openjdk-17-jdk-headless | openjdk-17-jdk | openjdk-18-jdk-headless | openjdk-18-jdk | openjdk-19-jdk-headless | openjdk-19-jdk | openjdk-20-jdk-headless | openjdk-20-jdk | openjdk-21-jdk-headless | openjdk-21-jdk
Standards-Version: 4.1.0
Vcs-Git: https://git.taler.net/libeufin.git
Homepage: https://taler.net/

Package: libeufin
Architecture: all
Depends: openjdk-11-jdk-headless | openjdk-11-jdk | openjdk-12-jdk-headless | openjdk-12-jdk | openjdk-13-jdk-headless | openjdk-13-jdk | openjdk-14-jdk-headless | openjdk-14-jdk | openjdk-15-jdk-headless | openjdk-15-jdk | openjdk-16-jdk-headless | openjdk-16-jdk | openjdk-17-jdk-headless | openjdk-17-jdk | openjdk-18-jdk-headless | openjdk-18-jdk | openjdk-19-jdk-headless | openjdk-19-jdk | openjdk-20-jdk-headless | openjdk-20-jdk | openjdk-21-jdk-headless | openjdk-21-jdk,
         python3 (>= 3.7),
         python3-click,
         python3-requests,
         ${misc:Depends}
Recommends:
Description: Software package to access FinTS/EBICS based
 core banking systems.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

SHELL := sh -e

export JAVA_HOME = /usr/lib/jvm/default-java
LIBEUFIN_HOME = /usr/share/libeufin
DEV =
FULLVER = $(DEB_VERSION_UPSTREAM)$(DEV)

%:
	dh ${@}

clean:
	rm -rf libeufin-$(FULLVER)

# Override the build step, because we current need to do it manually
# outside the regular Debian package build.
override_dh_auto_build:
	true
override_dh_auto_test:
	true
override_dh_auto_configure:
	true
override_dh_auto_install:
	unzip build/distributions/libeufin-$(FULLVER).zip
	dh_install libeufin-$(FULLVER)/lib/nexus-$(FULLVER)-all.jar $(LIBEUFIN_HOME)/lib
	dh_install libeufin-$(FULLVER)/lib/sandbox-$(FULLVER)-all.jar $(LIBEUFIN_HOME)/lib
	install -D -m755 libeufin-$(FULLVER)/bin/libeufin-cli debian/libeufin/$(LIBEUFIN_HOME)/bin/libeufin-cli
	install -D -m755 libeufin-$(FULLVER)/bin/libeufin-nexus debian/libeufin/$(LIBEUFIN_HOME)/bin/libeufin-nexus
	install -D -m755 libeufin-$(FULLVER)/bin/libeufin-sandbox debian/libeufin/$(LIBEUFIN_HOME)/bin/libeufin-sandbox
	dh_link $(LIBEUFIN_HOME)/bin/libeufin-cli /usr/bin/libeufin-cli
	dh_link $(LIBEUFIN_HOME)/bin/libeufin-nexus /usr/bin/libeufin-nexus
	dh_link $(LIBEUFIN_HOME)/bin/libeufin-sandbox /usr/bin/libeufin-sandbox

# Override this step because it's very slow and likely
# unnecessary for us.
override_dh_strip_nondeterminism:
	true

override_dh_install:
	dh_install
# Needs to be called manually for debhelper-compat < 13
	dh_installtmpfiles

override_dh_installsystemd:
	# Need to specify units manually, since we have multiple
	# and dh_installsystemd by default only looks for "<package>.service".
	dh_installsystemd -plibeufin --name=libeufin-nexus --no-start --no-enable
	dh_installsystemd -plibeufin --name=libeufin-sandbox --no-start --no-enable
	# final invocation to generate daemon reload
	dh_installsystemd

get-orig-source:
	uscan --force-download --rename
